Method: managedRulesets.get

Gets the details for the specified managed ruleset name.

HTTP request


GET https://compute.googleapis.com/compute/beta/projects/{project}/global/managedRulesets/{managedRuleset}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

managedRuleset

string

Name of the managed ruleset to return.

Request body

The request body must be empty.

Response body

Represents a ManagedRuleset resource.

Managed internally by Cloud Armor CLH for Managed Rules features. Customers can only view these resources to modify their Security Policies. For more information, see https://cloud.google.com/armor/docs/.

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,
  "id": string,
  "creationTimestamp": string,
  "selfLink": string,
  "rulesetId": string,
  "description": string,
  "ruleIds": [
    string
  ],
  "changeLog": string
}
Fields
name

string

Name of the resource. Generated internally when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

rulesetId

string

Output only. The managed ruleset identifier that can be configured in Security Policy rules.

description

string

Output only. An optional description of this resource.

ruleIds[]

string

Output only. The list of managed rule IDs that are included in this managed ruleset.

changeLog

string

Output only. The change log for this managed ruleset.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.managedRulesets.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.